org.apache.cayenne.configuration.rop.client

## Class ClientRuntime

- java.lang.Object
- - org.apache.cayenne.configuration.CayenneRuntime
  - - org.apache.cayenne.configuration.rop.client.ClientRuntime

- Direct Known Subclasses:
    ClientLocalRuntime

      public class ClientRuntime
      extends CayenneRuntime

  A user application entry point to Cayenne stack on the ROP client.
  Since:
    3.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.configuration.CayenneRuntime

      `injector, modules, threadInjector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientRuntime(Map<String,String> properties, Collection<Module> extraModules)` Creates a client runtime configuring it with a standard set of services contained in `ClientModule`.
    `ClientRuntime(Map<String,String> properties, Module... extraModules)` Creates a client runtime configuring it with a standard set of services contained in `ClientModule`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientConnection` | `getConnection()`

    - ### Methods inherited from class org.apache.cayenne.configuration.CayenneRuntime

      `bindThreadInjector, getChannel, getContext, getContext, getInjector, getModules, getThreadInjector, mergeModules, mergeModules, shutdown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientRuntime

          public ClientRuntime(Map<String,String> properties,
                               Collection<Module> extraModules)

      Creates a client runtime configuring it with a standard set of services contained in `ClientModule`. CayenneClientModule is created based on a set of properties that contain things like connection information, etc. Recognized property keys are defined in `ClientModule`. An optional array of extra modules may contain service overrides and/or user services.

    - #### ClientRuntime

          public ClientRuntime(Map<String,String> properties,
                               Module... extraModules)

      Creates a client runtime configuring it with a standard set of services contained in `ClientModule`. CayenneClientModule is created based on a set of properties that contain things like connection information, etc. Recognized property keys are defined in `ClientModule`. An optional collection of extra modules may contain service overrides and/or user services.

  - ### Method Detail

    - #### getConnection

          public ClientConnection getConnection()

Copyright © 2001–2017 Apache Cayenne. All rights reserved.